#include "kkfft.h"
#include <sys/time.h>
#include <unistd.h>

#include "realtime_wrapper.h"
#include "rt_test_actor.h"

namespace demo{
    RTTestActor::RTTestActor(const char* pName, int32_t iPriority, int32_t iCPU)
                            : rtwrapper::RTActor(pName, iPriority, iCPU), 
                            m_ulSleepTime(1000),m_ulWorkTime(0) {

    }

    RTTestActor::~RTTestActor() {
    }

    void RTTestActor::Run() {
        rtwrapper::rt_timer_read_w();
        unsigned long i = 0;

        while(1) {
            RTTest_kkfft_main();
            if(i >= m_ulWorkTime) {
                break;
            }
            i++;
        }
        rtwrapper::rt_timer_read_w();
        if(rtwrapper::rt_task_sleep_w(m_ulSleepTime)){
            //  printf("no internal rt task\r\n");    
        }
    }

}

