#ifndef __RT_TEST_ACTOR_H__
#define __RT_TEST_ACTOR_H__

#include "realtime_adv_wrapper.h"

// namespace
namespace demo{
    class RTTestActor : public rtwrapper::RTActor
    {
    public:
        RTTestActor(const char* pName, int32_t iPriority, int32_t iCPU);
        virtual ~RTTestActor();

        virtual void Run();
        void SetSleepTime(unsigned long ulSleepTime) { m_ulSleepTime = ulSleepTime; }
        unsigned long GetSleepTime() { return m_ulSleepTime; }
        void SetWorkTime(unsigned long ulWorkTime) { m_ulWorkTime = ulWorkTime; }
        unsigned long GetWorkTime() { return m_ulWorkTime; }

    protected:
        RTTestActor():rtwrapper::RTActor("", 50, -1), m_ulSleepTime(0) {  }

    private:
        unsigned long m_ulSleepTime;
        unsigned long m_ulWorkTime;
    };


}

#endif
