#ifndef __RTTEST_RTSLEEP_H__
#define __RTTEST_RTSLEEP_H__

#include <stdint.h>

// namespace
namespace demo{
    class RTTestActor;

    class CRTTestRTSleep
    {
    public:
        CRTTestRTSleep();
        virtual ~CRTTestRTSleep();

        static CRTTestRTSleep* GetInstance();

        int32_t Run();
        int32_t Done();

    private:
        static CRTTestRTSleep* m_pInstance;
        static const int32_t RTTEST_RT_THREAD_MAX_NUM = 10000;
        RTTestActor* g_pRTTestActor[RTTEST_RT_THREAD_MAX_NUM];
        int32_t g_iRTThreadNum;
        int32_t g_ulRTThreadSleepTime;

    };
}

#endif

