#include <stdio.h>
#include <signal.h>
#include <errno.h>
#include <string.h>
#include <unistd.h>

#include "realtime_wrapper.h"
#include "rttest_rtsleep.h"

bool g_bExit = false;

static void proc(int i)
{
    g_bExit = true;
}

int main(int argc, char** argv)
{
    if ( SIG_ERR == signal(SIGTERM, proc) ) {
        printf("\r\n ERROR: signal() return failed(Errno==%d)!!Exit program...\r\n", errno);
        return 0;
    }

    demo::CRTTestRTSleep::GetInstance()->Run();
    
    while( !g_bExit ) {
        usleep(100 * 1000);
    }

    delete demo::CRTTestRTSleep::GetInstance();

    return 0;
}


